# Library asp.net
 
Project was created for 'ASP.NET MVC' classes in cooperation with https://github.com/ewelina29 . (9-12.2017)
 
Using ASP.NET MVC and nHibernate
 
 
#### 1. Guest
* browse available books, authors, categories and tags
* display news
#### 2. User - reader
* access to book reservation and rental
* manage reservation cart
* access to current and previous rentals
* join the queue, if book is not avaiable now
#### 3. Librarian
* manage books, authors, categories, tags
 
#### 4. Admin
* manage users
* create informations
* change limits (rental time or amount of books)
 
 
# Views
 
![Admin_rentals](/docs/admin_rentals.png)
 
 All rentals - admin's account view
 
 
![Book_details](/docs/book_details.png)

Book details - logged in reader's account view
 
 
![Books_list](/docs/books_list.png)

Books list - guest's or logged in user's acount view
 
 
![Cart](/docs/cart.png)

Cart - logged in reader's account view
 
 
![Menu](/docs/menu.png)

Menu
 
 
![User_rentals](/docs/user_rentals.png)

 User rentals - logged in reader's account view
